# Uses of Enum
org.eclipse.mat.ui.internal.query.arguments.TextEditor.DecoratorType

Packages that use TextEditor.DecoratorType
Package
Description
org.eclipse.mat.ui.internal.query.arguments
Allows a user to specify arguments for a query - user interface (not API).

## Uses of TextEditor.DecoratorType in org.eclipse.mat.ui.internal.query.arguments

Methods in org.eclipse.mat.ui.internal.query.arguments that return TextEditor.DecoratorType
Modifier and Type
Method
Description
`TextEditor.DecoratorType`
TextEditor.`getDecorator()`
`static TextEditor.DecoratorType`
TextEditor.DecoratorType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TextEditor.DecoratorType[]`
TextEditor.DecoratorType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.eclipse.mat.ui.internal.query.arguments with parameters of type TextEditor.DecoratorType
Modifier
Constructor
Description
``
`ImageTextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, TextEditor.DecoratorType decorator)`
``
`TextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, TextEditor.DecoratorType decorator)`